Upgrade to KDE 4.9 did not go as smooth on OpenSuse 12.2 as it did for 12.1.
There are some packages that are missing from the OpenSuse 12.2 KDE 4.9 repo that makes it troublesome to upgrade.

kdepim4-runtime
kactivities4
libkactivities6
kwrite
gwenview
kio_kamera
libkipi8

None of these packages exist in the KDE 4.9 repo for OpenSuse 12.2 and therefore are only in version 4.8.5 Upgrading KDE to 4.9.1 complains on missing kdepim4-runtime for several other packages.


I previously installed OpenSuse 12.2 and successfully upgraded to KDE 4.9 without these problems. When I go in and check in YAST for that previous installation, I see that my kdepim4-runtime package has been downgraded from 4.9.1 to 4.8.5. The same goes for the other packages. What has happened?